spamassassin-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jezz" <jer...@fairbrass.co.nz>
Subject Re: DecodeShortURLs plugin
Date Wed, 13 Jul 2011 21:35:47 GMT

"Axb" <axb.lists@gmail.com> wrote in message 
news:4E1DF659.2070308@gmail.com...
> On 2011-07-13 20:23, Jezz wrote:
>> "Axb" <axb.lists@gmail.com> wrote in message
>> news:4E1C820D.3000109@gmail.com...
>>> On 2011-07-12 15:21, Jezz wrote:
>>
>> So even commenting out those lines doesn't help, as the plugin still
>> requires the Syslog module which I don't have. :(
>
> MDaemon uses a compiled Windows version of SpamAssassin.
> The plugin has more requirements which AltN's version may not support
>
> DBD::SQLite
> and possibly LWP::UserAgent
>
> You'll most probably be better off asking Mouk of AltN (if he's still 
> there) to add DecodeShortURL support in their package.
>
> You could also hack the hell out of the plugin to remove all those 
> requirements.
> MDameon's Beta mailing list may get you further.
>
> Sorry...
>

Hmm - but the way I understand the plugin, the SQLite and UserAgent packages 
are only optional packages for the plugin, not mandatory as the Syslog 
package is. And I'm not getting any lint errors regarding the SQLite and 
UserAgent packages either, which (I would assume) indicates that they are 
not a problem. Surely they would pop up as errors when I do a lint, if they 
were mandatory requirements and I didn't have them in my compilation of 
SpamAssassin?



Mime
View raw message